Skip to main content
POST
/
v0
/
definitions
/
unlink
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
});

await client.definitions.unlink({
  evalIds: ['123e4567-e89b-12d3-a456-426614174000'],
  taskIds: ['456e4567-e89b-12d3-a456-426614174000'],
});
{
  "message": "Resource not found"
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Body

application/json

Request body for linking or unlinking evaluation definitions to/from tasks. Supports both single and bulk operations.

evalIds
string<uuid>[]
required

Array of evaluation definition IDs to link/unlink. Can be a single ID or multiple IDs.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
["123e4567-e89b-12d3-a456-426614174000"]
taskIds
string<uuid>[]
required

Array of task IDs to link/unlink the evaluation definitions to/from. Can be a single ID or multiple IDs.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
["456e4567-e89b-12d3-a456-426614174000"]

Response

Successfully unlinked evaluation definition from task